<template>
  <el-dialog v-model="props.modelValue" title="产品类型多语言详情" width="900px" @closed="closeDialog" @open="openDialog">
    <el-form ref="formRef" :model="formData" :disabled="true">
      <el-row>
        <el-col :lg="12">
          <el-form-item :label-width="labelWidth" label="产品类型" prop="product_type_guid">
            <el-cascader class="w100" filterable :options="dataList"
              :props="{ checkStrictly: true, value: 'product_type_guid', label: 'product_type_name', emitPath: false }"
              placeholder="请选择产品类型" clearable v-model="formData.product_type_guid">
              <template #default="{ node, data }">
                <span>{{ data.product_type_name }}</span>
                <span v-if="!node.isLeaf"> ({{ data.children.length }}) </span>
              </template>
            </el-cascader>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item :label-width="labelWidth" label="语言类型" prop="i18n_lang_type">
            <el-select v-model="formData.i18n_lang_type_guid" clearable placeholder="请选择">
              <el-option v-for="item in i18n_lang_type" :key="item.i18n_lang_type_guid"
                :label="item.i18n_lang_type_code" :value="item.i18n_lang_type_guid"></el-option>
            </el-select>
          </el-form-item>
        </el-col>
      </el-row>

      <el-row>
        <el-col :span="24">
          <el-form-item :label-width="labelWidth + 10" label="多语言名称" prop="product_type_lang_name">
            <el-input v-model='formData.product_type_lang_name' type="text" placeholder='请输入产品类型多语言名称'></el-input>
          </el-form-item>
        </el-col>

      </el-row>
    </el-form>
  </el-dialog>
</template>

<script setup>
import { reactive, ref, watch } from "vue";
import { isEmptyObject } from "~/utils/index";
import { getProductTypeTree } from "~/service/product_type";
import { getI18nLangTypeList } from '~/service/i18n_lang_type';

// --业务参数
const dataList = ref();
const i18n_lang_type = ref();


// --业务方法
async function getList() {
  getProductTypeTree().then((res) => {
    if (res.code == 0) {
      dataList.value = res.data
    }
  })
}

async function geti18n_lang_typeList() {
  getI18nLangTypeList({ limit: 9999 }).then((res) => {
    if (res.code == 0) {
      i18n_lang_type.value = res.data
    }
  })
}


// --基础参数
const formRef = ref();
const labelWidth = 100;

const props = defineProps({
  modelValue: Boolean,
  data: Object,
  done: Function,
});
const emits = defineEmits(["update:modelValue"]);
const formData = ref({
  ...props.data,
});


// --基础方法
watch(props, (v) => {
  formData.value = v.data;


});

// 打开弹窗时执行
const openDialog = async () => {
  await getList()
  await geti18n_lang_typeList()
};

const closeDialog = () => {
  emits("update:modelValue", false);
};
</script>

<style lang="less" scoped></style>
